----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    15:07:14 08/01/2014 
-- Design Name: 
-- Module Name:    SegmentDisplay - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity SegmentDisplay is
    Port ( sw  : in   STD_LOGIC_VECTOR (3 downto 0);
           seg : out  STD_LOGIC_VECTOR (6 downto 0);
           dp  : out  STD_LOGIC;
           an  : out  STD_LOGIC_VECTOR (3 downto 0));
end SegmentDisplay;

architecture Behavioral of SegmentDisplay is

	constant c0 : STD_LOGIC_VECTOR(3 downto 0) := "0000";
	constant c1 : STD_LOGIC_VECTOR(3 downto 0) := "0001";
	constant c2 : STD_LOGIC_VECTOR(3 downto 0) := "0010";
	constant c3 : STD_LOGIC_VECTOR(3 downto 0) := "0011";
	constant c4 : STD_LOGIC_VECTOR(3 downto 0) := "0100";
	constant c5 : STD_LOGIC_VECTOR(3 downto 0) := "0101";
	constant c6 : STD_LOGIC_VECTOR(3 downto 0) := "0110";
	constant c7 : STD_LOGIC_VECTOR(3 downto 0) := "0111";
	constant c8 : STD_LOGIC_VECTOR(3 downto 0) := "1000";
	constant c9 : STD_LOGIC_VECTOR(3 downto 0) := "1001";
	constant A  : STD_LOGIC_VECTOR(3 downto 0) := "1010";
	constant B  : STD_LOGIC_VECTOR(3 downto 0) := "1011";
	constant C  : STD_LOGIC_VECTOR(3 downto 0) := "1100";
	constant D  : STD_LOGIC_VECTOR(3 downto 0) := "1101";
	constant E  : STD_LOGIC_VECTOR(3 downto 0) := "1110";
	constant F  : STD_LOGIC_VECTOR(3 downto 0) := "1111";

begin

	process(sw)
	begin
		case sw is
			when c0     => seg <= "0000001";
			when c1     => seg <= "1001111";
			when c2     => seg <= "0010010";
			when c3     => seg <= "0000110";
			when c4     => seg <= "1001100";
			when c5     => seg <= "0100100";
			when c6     => seg <= "0100000";
			when c7     => seg <= "0001101";
			when c8     => seg <= "0000000";
			when c9     => seg <= "0000100";
			when A      => seg <= "0001000";
			when B      => seg <= "1100000";
			when C      => seg <= "0110001";
			when D      => seg <= "1000010";
			when E      => seg <= "0110000";
			when F      => seg <= "0111000";
			when others => seg <= "1111111";
		end case;
	end process;
	
	dp <= '1';
	an <= "0000";

end Behavioral;

